=== src/libs/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#
#  CMakeLists.txt
#  (C) Copyright 2014 Tim E. Real (terminator356 on users dot sourceforge dot net)
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the
#  Free Software Foundation, Inc.,
#  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
#=============================================================================

ADD_SUBDIRECTORY(evdata)
ADD_SUBDIRECTORY(memory)
ADD_SUBDIRECTORY(midi_controller)
ADD_SUBDIRECTORY(midnam)
ADD_SUBDIRECTORY(mpevent) 
ADD_SUBDIRECTORY(string)
ADD_SUBDIRECTORY(sysex_helper) 
ADD_SUBDIRECTORY(xml) 
ADD_SUBDIRECTORY(time_stretch) 
ADD_SUBDIRECTORY(wave)
ADD_SUBDIRECTORY(plugin)
