=== debian/changelog ===
muse (4.0.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 15 Jan 2022 00:08:57 -0500

muse (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * Refresh patchset
  * Add instpatch, rtaudio and rubberband to BDs
  * Bump Standards-Version to 4.6.0
  * d/copyright: Update year, files and add ISC license
  * Update d/muse.lintian-overrides
  * Convert danish po file to UTF-8
  * d/postinst: Add prior dpkg-statoverride --list call 
  * d/rules: Source dir has changed
  * Convert the muse icon to the correct 128x128 size
  * Remove windows documentation
  * Update d/watch regex

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 20 Oct 2021 18:53:33 +0200
