=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Dsrc

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_clean:
	dh_clean -Xmuse/widgets/arrangercolumns.cpp~ \
		-Xmuse/widgets/arrangercolumns.h~ -X*~

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_INSTALL_DIR=/usr/lib

override_dh_install:
	dh_install -pmuse
	find $(CURDIR)/debian/muse/ -name "COPYING*" -delete
	find $(CURDIR)/debian/muse/ -name "LICENSE" -delete
	find $(CURDIR)/debian/muse/ -name "ChangeLog*" -delete
	find $(CURDIR)/debian/muse/ -name "*.win32" -delete
	# the icon has the wrong size, 150x150, so we scale it down for now
	convert $(CURDIR)/src/packaging/muse128x128.png -resize 128x128 \
		$(CURDIR)/debian/muse/usr/share/icons/hicolor/128x128/apps/muse.png
	cd $(CURDIR)/debian/muse/usr/share/doc/muse && \
		mv muse_html/single/documentation/ html/ && \
		rm -rf muse_html
